//
//  SFDeliciousHTTPURLConnection.h
//  SFDeliciousApi
//
//  Created by Matteo Rattotti on 1/9/09.
//  Copyright 2009 www.shinyfrog.net. All rights reserved.
//

#import "SFDeliciousRequestType.h"
#import "SFDeliciousGlobalHeader.h"

@interface SFDeliciousHTTPURLConnection : NSURLConnection {
    NSMutableData *_data;                       // data received in this connection
    SFDeliciousRequestType _requestType;        // Request type for error handling
    SFDeliciousResponseType _responseType;      // Response type for parser handling
    NSString *_identifier;                      // Unique identifier for the connection
    NSURL *_URL;                                // URL used for the connection
}
- (id)initWithRequest:(NSURLRequest *)request delegate:(id)delegate 
                                           requestType:(SFDeliciousRequestType)requestType 
                                          responseType:(SFDeliciousResponseType)responseType;

- (void)resetDataLength;
- (void)appendData:(NSData *)data;

- (NSString *)identifier;
- (NSData *)data;
- (NSURL *)URL;

- (SFDeliciousRequestType)requestType;
- (SFDeliciousResponseType)responseType;


@end
