//
//  SFShadowedTextField.h
//  SFToolkit
//
//  Created by Matteo Rattotti on 1/25/11.
//  Copyright 2011 Shiny Frog. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface SFShadowedTextField : NSTextField {
	NSColor *shadowColor;
	float xOffset;
	float yOffset;
	BOOL subpixelAntiAliasing;

    NSColor *hoverColor;
    NSTrackingArea *hoverTrackingArea;
    BOOL shouldDrawHighlightHover;
    
    NSSize padding;
}

@property (nonatomic, retain) NSColor *shadowColor;
@property (nonatomic, retain) NSColor *hoverColor;
@property (nonatomic, retain) NSTrackingArea *hoverTrackingArea;

@property (nonatomic) float xOffset;
@property (nonatomic) float yOffset;
@property (nonatomic) BOOL subpixelAntiAliasing;
@property (nonatomic) NSSize padding;

- (NSSize) drawnStringSize;
- (void) setHighlightHoverWithColor: (NSColor *) color;
- (BOOL) isEditing;
- (void) sizeWidthToFit;

@end
